Angular7 & okta status?

Hello all,

I just want to ask when will be ready support Angular7 + okta ?
I tried to install it by Okta Angular how to and it will show me:

npm WARN @okta/okta-angular@1.0.7 requires a peer of @angular/common@>=4 <7 but none is installed. You must install peer dependencies yourself.
npm WARN @okta/okta-angular@1.0.7 requires a peer of @angular/core@>=4 <7 but none is installed. You must install peer dependencies yourself.
npm WARN @okta/okta-angular@1.0.7 requires a peer of @angular/platform-browser@>=4 <7 but none is installed. You must install peer dependencies yourself.
npm WARN @okta/okta-angular@1.0.7 requires a peer of @angular/router@>=4 <7 but none is installed. You must install peer dependencies yourself.

and of course it doesn’t works.

can anybody help / advice ?

thank you
Milan

Really ? Nobody knows the answer or be able to help with advice ? Guys please … Thanks

Those are just warnings, you can ignore them. Okta’s Angular SDK works fine with Angular 7. Here’s a couple blog posts that use it:

Really thanks, I’ll try this as you mentioned.
I\m newbie with okta so your help was very usefull, thank you.